Package org.zkoss.zk.ui.select.impl

## Class Attribute

- java.lang.Object
- - org.zkoss.zk.ui.select.impl.Attribute

-     public class Attribute
      extends java.lang.Object

  The model representing an attribute in Selector.
  Since:
    6.0.0
  Author:
    simonpai

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Attribute.Operator` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Attribute​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` |
    `Attribute.Operator` | `getOperator()` |
    `java.lang.String` | `getValue()` |
    `boolean` | `isQuoted()` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setOperator​(Attribute.Operator operator)` |
    `void` | `setQuoted​(boolean quoted)` |
    `void` | `setValue​(java.lang.String value)` |
    `void` | `setValue​(java.lang.String value, boolean quoted)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute​(java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getOperator

          public Attribute.Operator getOperator()

    - #### setOperator

          public void setOperator​(Attribute.Operator operator)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue​(java.lang.String value)

    - #### setValue

          public void setValue​(java.lang.String value,
                               boolean quoted)

    - #### isQuoted

          public boolean isQuoted()

    - #### setQuoted

          public void setQuoted​(boolean quoted)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`